#!/usr/bin/perl 

## --> 3D Local Ground Elevation Map, 3dmap.main.cgi
## --> Green Bay Professional Packet Radio, www.gbppr.org

## This file Copyright 2006 <contact@gbppr.org> under the GPL
## NO WARRANTY. Please send bug reports / patches / reports.

# Setup
#
select STDOUT;
$| = 1;

# User stuff
#
my $pic = "pics/3dmap.png";
my $form = "./3dmap.cgi";

# Print MIME
#
print "Content-type:text/html\n\n";

# Draw me a web page
#
print <<EOF;
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<title>3D Local Ground Elevation Map</title>
</head>
<body bgcolor="#D3D3D3" text="#000000" link="blue">
<center>
<font face="Verdana, Arial, Helvetica"><h2>3D Local Ground Elevation Map</h2></font>
<p>A service of <a href="http://www.gbppr.org">Green Bay Professional Packet Radio</a></p>
</center>

<hr noshade>
<center><img src="$pic" alt="[3dmap]"></center>
<hr noshade>

<form action="$form" method="post">

<br>
<center>
<table border="2" cellpadding="2">
<tr>
<td colspan="10" bgcolor="yellow" align="center"><font size="4"><b>Transmitter Site</b></font></td>
</tr>
</table>
</center>
<br>

<table border="0">
<tr>
<td align="right"><b>Latitude&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="LAT1_D" size="2" value="44">&nbsp;&deg;&nbsp;
<input type="text" name="LAT1_M" size="2" value="31">&nbsp;'&nbsp;
<input type="text" name="LAT1_S" size="3" value="47">&nbsp;&quot;&nbsp;&nbsp;North</td>
</tr>

<tr>
<td align="right"><b>Longitude&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="LON1_D" size="2" value="88">&nbsp;&deg;&nbsp;
<input type="text" name="LON1_M" size="2" value="02">&nbsp;'&nbsp;
<input type="text" name="LON1_S" size="3" value="26">&nbsp;&quot;&nbsp;&nbsp;West</td>
</tr>
</table>

<hr noshade>
<center>
<table>
<tr>
<td><input type="submit" value="Submit"></td>
<td><input type="reset" value="Clear"></td>
</tr>
</table>
</center>
</form>

<hr noshade size="5">
</font>
<blockquote>
<ul>
<li>Don't enter the minus (-) sign on longitude data.</li>

<p></p>

<li>Press <tt>Submit</tt> to see an example.</li>

<p></p>

<li>This takes forever (3+ minutes) to finish.</li>

<p></p>

<li>Don't hit <tt>Stop</tt> half way through the process.</li>

<p></p>

<li><b>Very Experimental</b></li>

<p></p>

<li><a href="coords.txt">Available</a> elevation coordinates.</li>
</ul>
</blockquote>

</body>
</html>
EOF
